local lspconfig = require "lspconfig"
local lspsettings = require "custom.plugins.configs.lspsettings"

-- these are using the defaults
local servers = {
  "html",
  "cssls",
  "tsserver",
  "clangd",
  "bashls",
  "cmake",
  "yamlls",
  "texlab",
  "csharp_ls",
}

for _, lsp in ipairs(servers) do
  lspconfig[lsp].setup()
end

local server_with_settings = {
  -- "textlsp",
  "ltex",
  "rust_analyzer",
  "basedpyright",
}

for _, lsp in ipairs(server_with_settings) do
  lspconfig[lsp].setup(lspsettings[lsp])
end

